body {
    margin: 0 auto;
    background-color: white;
    font-family: 'Crimson Text', serif;
    display:grid;
    color: rgb(52, 50, 49);
    
}

*{
    margin:0;
    padding:0;
}

header{
    grid-row:1/2; 
    position: sticky;
    top:0;
    z-index: 2; 
}

nav {
    background-color: white;
    height: 70px;
    box-shadow: 0px 2px 10px 1px rgba(205, 205, 205, 0.991) ; 
    width: auto;
}

.nav-bar ul {
    display:flex;
    text-align: center;
    height: 70px;
}
.nav-bar li {
    list-style-type: none;
    padding-left: 20px;
    margin-top: 25px;
    font-size: 16px;
}

.nav-bar a:hover {
    color: rgb(240, 58, 71);
}

.nav-push {
    margin-left: auto;
    margin-right: 20px;
}

.nav-push a:hover {
    color:white;
}

.button {
    background-color: rgb(52, 50, 49);
    border: none;
    padding: 10px;
    color:white;
}

.button:hover{
    color: white;
    box-shadow: 0px 1px 3px 1px rgba(205, 205, 205, 0.991);
    background-color: rgb(240, 58, 71);
    transition: .15s ease-in-out;
   
}


main {
    grid-row:2/3;
    padding-left: 25px;
    padding-right: 25px;
    display: grid;
    row-gap: 200px;
}

/* Landing-Section */

#landing-section {
    height: 60vh;
    padding-top: 200px;
}

#landing-section ul {
    display: flex;
}

#landing-section li {
    margin-right: 20px;
}

#landing-section li i {
    color: rgb(52, 50, 49);
}

#landing-section li i:hover {
    color: rgb(240, 58, 71);
}

/* Read Me CSS*/

#read-me {
    display: grid;
}

.read-me-info {
    padding-top: 40px;
    grid-row: 1/2;
    grid-column: 1/2;
}

.read-me-info p {
    margin-top: 30px;
    
}

.read-me-info span {
    color: rgb(240, 58, 71);
    font-weight:600;
}

.read-me-img {
    padding-top: 40px;
    grid-row: 2/3;
    grid-column: 1/2;
}

.read-me-img img{
    width:300px;
    display:block;
    margin-left: auto;
    margin-right: auto;
}

.read-me-img img:hover {
    box-shadow: 0px 2px 10px 1px rgba(205, 205, 205, 0.991) ; 
    transition: .25s ease-in-out;
}

/*Skills CSS */

.wrapper {
    display: grid;
    grid-gap: 50px;
    margin-top: 50px;
    margin-bottom: 50px;
}

.wrapper section {
    width: 300px;
    height: 200px;
    justify-self: center;
    text-align: center;
    background-color: rgba(205, 205, 205, 0.231);
    
}

.wrapper section img, i {
    padding-top: 30px;
}

.wrapper h4 {
    padding-top: 10px;
}

.canva-logo {
    width: 75px;
}

/*Featured Projects CSS */


.card-wrapper {
    display: grid;
    row-gap: 50px;
    column-gap: 50px;
    margin-top: 50px;
    margin-bottom: 60px;
}

.card-wrapper div {
    justify-self: center;
}
.card img { 
    width: 350px;
}
.card-container {
    width: 350px;
    height: 400px;
   /* background: url(images/NIKE\ \ AD.jpg); */
    background-color: black;
    background-size: cover;
    cursor: pointer;
    box-shadow: 0px 2px 10px 1px rgba(205, 205, 205, 0.991) ; 
}

.card-content {
    background-color: rgba(52, 50, 49, 0.95) ;
    max-width: 350px;
    height: 400px;
    opacity: 0; 
    transition: 0.5s;
}

.card-content:hover, .card-content:focus {
    color: white;
    opacity: 1;
    transition: 0.5s;
}

.card-text {
    padding: 20px;
}

.card-text h4 {
    padding-bottom: 10px;
    padding-top: 20px;
    font-size: 25px;
}

.card-text h5 {
    padding-bottom: 10px;
    line-height: 20px;
}
.card-text p {
    font-size: 18px;
    line-height: 27px;
}
.card-text a {
    color: white;
    font-size: 12px;
    position: relative;
    bottom: 0px;
}

.card-text a:hover,.card-text a:focus {
    color: rgb(240, 58, 71);
}

#card-one {
background:url(images/PortfolioSite.png);
}

#card-two {
    background:url(images/Dreamin\ in\ Color\ Card\ Cover.png);
}

#card-three {
    background:url(images/StreamingMedia_Project.png);
}

#card-four {
    background:url(images/DreaminInColor_Project.png);
}

#button-p {
    display: block;
    text-align: center;
    margin-left: 25%;
    margin-right: 25% ;
}

/*Contact CSS */


#contact .button {
    margin-top: 20px;
    text-align: center;
    margin-left: 25%;
    margin-right: 25%;
}

.contact-wrapper {
    display: grid;
    grid-row-gap: 30px;
    margin-bottom: 30px;
}

.contact-wrapper h2 {
    text-align: center;
}

footer {
justify-self: center;
grid-row:3/4;
margin-top: 70px;
text-align: left;
border-top: 1px solid rgb(52, 50, 49);
width: 80%;
padding: 40px;
}


/*Text Styles*/
h1 {
    font-family: 'Montserrat', sans-serif;
    color: rgb(240, 58, 71);
    font-size: 70px;
    margin-top: 10px;
    margin-bottom: 10px;
}

h2,h3,h4, h5, a  {
    font-family: 'Montserrat', sans-serif;  
}

h2 {
    margin-bottom: 10px;
    font-size: 35px;
}

h3 {
    color:rgba(63, 63, 63, 0.541);
}


p {
    font-size: 20px;
    margin-top: 10px;
    margin-bottom: 10px;
}

li {
    list-style-type: none;
}
a {
    text-decoration: none;
    color: rgb(52, 50, 49);

}

/*Project1 HTML*/ 

.project-img-size {
    width:100%;
    max-width: 600px;
    min-width: 375px;
    display: block;
    padding-top: 50px;
    margin-left: auto;
    margin-right: auto;
    height:auto;
   
 }

 .project-skills-wrapper {
    margin-top: 50px;
    display: flex;
    flex-wrap: wrap;
    gap: 30px 30px;
 }

  .project-skills {
    width: 120px;
    height: 80px;
    text-align: center;
    background-color: rgba(205, 205, 205,  0.541);
    
}

.project-skills-wrapper img {
    padding-top: 15px;
    width: 32px; 
}

.project-skills-wrapper section i {
    padding-top: 30px;
    margin-bottom: 20px;
}


.mockup-portion a {
    display: block;
    width: 150px;
    text-align: center;
    margin-left: auto;
    margin-right: auto;
    margin-top: 50px;
}


@media screen and (min-width: 780px) {
    body{
        width:780px;
    }

    header {
        width:780px;
    }


    #read-me {
        grid-column-gap: 40px;
    }
    .read-me-info {
        grid-column: 1/2;
    }

    .read-me-img {
        grid-column: 2/3;
        grid-row:1/2;
    }

    .read-me-img img {
        width:300px;
        margin-top: 100px;
    }

    .wrapper {
        grid-template-columns: 1fr 1fr;
    }

    .card-wrapper {
        grid-template-columns: 1fr 1fr;
        column-gap: 50px;
    }

    

}


@media screen and (min-width: 1250px) {
    body{
        width: 1250px;
    }

    header {
        width:1250px;
    }

    main {
        padding-left: 150px;
        padding-right: 150px;
    }

    .wrapper {
        grid-template-columns: 1fr 1fr 1fr;
    }


 



}






